<!-- -*- mode: markdown; mode: flyspell -*- -->

# bash-csv library

## Dependencies

bash-csv depends on bash-base

## API Documentation

The API Documentation can be found in [API.md](API.md).

## Using bash-csv

### Loading the Library

With loaded bash-base and system wide installed bash-csv all you have
to do is:
```
bb_require_libs bash-csv
```

Note: Using `bb_require_libs` will raise an fatal error if the library
could not be loaded. Use e.g. `bb_load_lib` to react on any error
while loading it.

## Namespace

All global variables and functions of bash-csv start with either
`bcsv_` or `_bcsv_`. Functions starting with `_bcsv_` are for
internal use only and their API might change without warning.

Function that take variable names as arguments will not accept
variable names starting with `_`. Local variables in bash-csv
function will always start with `_` or with the full function
name. That ensures that passed variable names will not be shadowed by
local variables inside the called function.

## Internals

### Parser

## Example

<!--  LocalWords: csv Namespace API
 -->
